# THIS PACKAGE IS HOSTED AT MANDRIVA SVN
# PLEASE DO NOT UPLOAD DIRECTLY BEFORE COMMIT

%define name kftpgrabber
%define version 0.7.0
%define release	%mkrel 7
%define __libtoolize /bin/true
%define __cputoolize /bin/true


%define lib_name_orig %mklibname %{name}
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name:		%{name}
Version:        %{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
Summary:	Graphical FTP client for KDE
Source:         http://kftpgrabber.sourceforge.net/releases/%{name}-%{version}-beta1.tar.bz2
Source10: 	%{name}-16.png
Source11: 	%{name}-32.png
Source12: 	%{name}-48.png
Patch0:         kftpgrabber-0.7.0-fix-wrong-header.patch
URL:		http://kftpgrabber.sourceforge.net/
BuildRoot:    	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  openssl-devel
BuildRequires:  kdelibs-devel

Requires: %lib_name = %version
Requires: openssl

%description
KFTPGrabber is a graphical FTP client for KDE. 
It supports SSL encryption, FXP transfers, 
multiple FTP sessions (using tabs), bookmark system and more.

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_datadir}/applications/kde/%{name}.desktop
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/apps/kftpgrabber/kftpgrabber-bi-wizard.png
%{_datadir}/apps/kftpgrabber/kftpgrabber-logo.png
%{_datadir}/apps/kftpgrabber/kftpgrabberui.rc
%{_datadir}/services/kftpimportplugin_gftp.desktop
%{_datadir}/servicetypes/kftpbookmarkimportplugin.desktop
%{_datadir}//services/kftpimportplugin_ncftp.desktop
%{_menudir}/%{name}
%{_datadir}/config.kcfg/kftpgrabber.kcfg
%{_datadir}/services/kftpimportplugin_kftp.desktop

#--------------------------------------------------------------------


%package -n %lib_name-devel
Summary:Development files from kftpgrabber
Group: Development/KDE and Qt
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %lib_name-devel
Headers files for %{name}

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig


%files -n %lib_name-devel
%defattr(-,root,root)
%_includedir/%{name}/kftpbookmarkimportplugin.h
%_libdir/libkftpinterfaces.so
%_libdir/libkftpinterfaces.la

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Headers files for kftpgrabber
Group: Networking/File transfer
Requires: %{name} = %{version}
Provides: %lib_name = %version

%description -n %lib_name
Headers files for %{name}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files -n %lib_name
%defattr(-,root,root)
%_libdir/libkftpinterfaces.so.*
%_libdir/kde3/kftpimportplugin_gftp.la
%_libdir/kde3/kftpimportplugin_gftp.so
%_libdir/kde3/kftpimportplugin_ncftp.la
%_libdir/kde3/kftpimportplugin_ncftp.so
%_libdir/kde3/kftpimportplugin_kftp.la
%_libdir/kde3/kftpimportplugin_kftp.so

#--------------------------------------------------------------------

%prep

%setup -q -n %{name}-%{version}-beta1

find -name "\.svn" |xargs rm -rf
%patch0 -p1

%build
make -f admin/Makefile.common cvs

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_menudir},%{_miconsdir},%{_iconsdir},%{_liconsdir}}
mkdir -p %{buildroot}%{_datadir}/applnk/Utilities


%{makeinstall_std}
cp %SOURCE10 %{buildroot}%{_miconsdir}/%{name}.png
cp %SOURCE11 %{buildroot}%{_iconsdir}/%{name}.png
cp %SOURCE12 %{buildroot}%{_liconsdir}/%{name}.png
kdedesktop2mdkmenu.pl %{name} "Networking/File Transfer" %{buildroot}/%{_datadir}/applications/kde/%{name}.desktop %{buildroot}/%{_menudir}/%{name} kde

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}




%changelog
* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:35:27 (51744)
- Fix File List

* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:30:08 (51743)
- Rebuild against new DBUS

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:49:46 (38029)
- Fix cp

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:35:30 (38028)
- Increase release
- Fix for new menu

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:59:38 (37401)
- Fix folder

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:55:41 (37400)
- Add Warning

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:51:09 (37399)
- Increase release
- 0.7.0 Beta1

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:45:19 (37393)
- import kftpgrabber-0.7.0-4mdv2007.0

* Tue Jun 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-4mdk
- Rebuild to generate menus

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-3mdk
- Rebuild to generate categories

* Wed Mar 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-2mdk
- Rebuild to fix ticket 21593

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.5mdk
- Rebuild

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.4mdk
- Fix Provides
- Fix Typo

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.3mdk
- fix old changelog   thanks blino

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.2mdk
- Reupload

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-1mdk
- Alpha 1

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Reupload 
- Drop  Patch 0
- Fix install

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-1mdk
- New Release 0.6.0

* Tue May 03 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-0.beta1.1mdk
- 0.6.0-beta1

* Fri Feb 11 2005 Sebastien Savarin <plouf@mandrake.org> 0.5.0-1mdk
- first mandrake release

